Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 24 Nov 2014, 16:30
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Amstrad CPC emulators?
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [11 Posts]  
Author Message
sotris99

Joined: 03 Feb 2008
Posts: 69

PostPosted: Sun 17 Aug 2008, 15:21    Post subject:  Amstrad CPC emulators?  

I browsed the internet and i found that emulator for amstrad cpc.

http://ulrich-cordes.gmxhome.de/cpc/english/cpcemu.htm
http://www.dmoz.org/Computers/Emulators/Amstrad/

Are there any other emulators for linux?

And now the tricky part... How can i make it in a working state. I have no idea how to compile that emu...

Code:
Source code of the emulator. Extract the file as root user into your /usr/src/ directory and compile it your self.
Requiered Linux components:

Linux
GNU C compiler
X-Windows system (X11R6)
A windowmanager of your choise (KDE, GNOME, fvwm, AfterSTEP, etc.)
The X11 include files (Linux package "xdevel")
make
The shown dialogs needs TCL 7.6 and Tk 4.2 or higher. But you do not need TCL/Tk. If TCL/Tk are not installed, you will get normal command line dialogs for file selections in the same shell window from where you started the emulator.
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6690
Location: lisbon

PostPosted: Sun 17 Aug 2008, 23:39    Post subject:  

sotris99,

compiling it is easy. You just need to download the devx .sfs file for whichever puppy you're using. e.g. for puppy4 it's this file, devx_400.sfs (77Mbytes), save this to /mnt/home, (if you have a frugal/CD install), reboot. Then extract the cpc4x package somewhere, then:

Code:

cd cpc
make -f Makefile.admin config
make -f Makefile.admin
make -f Makefile.admin install
make -f Makefile.admin clean


Also, if you were using puppy4, you would want to install tcl-8.5a4nothreads.pet & tk-8.5a4nothreads.pet

Then if you run cpc the help dialogue should open, or if you run cpc -noinfo, then just the amstrad console emulator.

The only problem, and why I said should open, is I just compiled it & find it's behaving a bit erratically. Firstly it's never succeeded in opening the /dev/dsp sound device. Then when I tried using it on a second computer it just died.

If you didn't want to compile it, I could upload it as a .pet for you to download but, as I said, it does seem a bit erratic at the moment.

Mu has an emulator section here
Back to top
View user's profile Send private message 
sotris99

Joined: 03 Feb 2008
Posts: 69

PostPosted: Mon 18 Aug 2008, 06:40    Post subject:  

the emulator is always crashing...
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6690
Location: lisbon

PostPosted: Mon 18 Aug 2008, 09:35    Post subject:  

Yes, mine is too! But it was working...until I recompiled it. I wasn't happy that it was using conqueror as the default browser, so I modified the tcl script, and one c file, to use puppy's defaultbrowser command as the default, and while the help file now opens OK with Mozilla, the cpc app then crashes straight away.

I might have another look tomorrow, or try sending the developer a query as to what's going on. It's sort of funny that it's crashing as the cpc website says, in regard to the original amstrads:

Quote:

no general protection fault and no not working system components.
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6690
Location: lisbon

PostPosted: Fri 22 Aug 2008, 01:00    Post subject:  

Sotris,

what about http://xcpc.emuunlim.com/

I've compiled the attached using pup2.16. Let me know whether it works with whatever pupversion you're using, or not, as it compiles easily. You can compile it against either athena, or motif gui, and it also needs this:

http://www.seasip.demon.co.uk/Unix/LibDsk/

for floppy emulation. I've include libdsk.so.3 in the .pet.

Run it via Menu->Utility->Xcpc
xcpc.png
 Description   
 Filesize   9.09 KB
 Viewed   1797 Time(s)

xcpc.png

xcpc-20070122.pet
Description 
pet

 Download 
Filename  xcpc-20070122.pet 
Filesize  246.03 KB 
Downloaded  740 Time(s) 
Back to top
View user's profile Send private message 
sotris99

Joined: 03 Feb 2008
Posts: 69

PostPosted: Wed 03 Sep 2008, 07:31    Post subject:  

Thanx i will try it...
Back to top
View user's profile Send private message 
sotris99

Joined: 03 Feb 2008
Posts: 69

PostPosted: Sat 21 Nov 2009, 17:33    Post subject:  

muggins wrote:
Sotris,

what about http://xcpc.emuunlim.com/

I've compiled the attached using pup2.16. Let me know whether it works with whatever pupversion you're using, or not, as it compiles easily. You can compile it against either athena, or motif gui, and it also needs this:

http://www.seasip.demon.co.uk/Unix/LibDsk/

for floppy emulation. I've include libdsk.so.3 in the .pet.

Run it via Menu->Utility->Xcpc


Hello!!!

it works perfectly till puppy 3.0.1 but i cannot make it work under 4.3.1 i cannot compile it since it says that i am missing glib 2.6.0...
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2386
Location: UK

PostPosted: Tue 24 Nov 2009, 12:05    Post subject: Here you go
Subject description: Just for you.. And others.
 

Here's the CPC emulator included in Puppy Acade..
arnold.zip
Description  CPC Emulator
zip

 Download 
Filename  arnold.zip 
Filesize  321.88 KB 
Downloaded  652 Time(s) 

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send private message 
sotris99

Joined: 03 Feb 2008
Posts: 69

PostPosted: Sun 29 Nov 2009, 05:22    Post subject:  

yes i know that...

i want to compile xcpc also as well on puppy 4.2.1 or puppy 4.3.1 to have every amstrad cpc emulator on linux...

but i get errors...

xcpc on puppy 4.3.1? anyone?
Back to top
View user's profile Send private message 
muggins

Joined: 20 Jan 2006
Posts: 6690
Location: lisbon

PostPosted: Wed 02 Dec 2009, 20:48    Post subject:  

@sotris99,

xcpc compiles without probs for me, on p431. Did you first compile libdsk.so.3 from LibDsk/?

I just did the usual:

Code:
./configure --prefix=/usr
make
make install


for LibDsk & Xcpc, and it seems OK.
Back to top
View user's profile Send private message 
sotris99

Joined: 03 Feb 2008
Posts: 69

PostPosted: Mon 05 Apr 2010, 18:09    Post subject:  

i don't have sound Sad
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [11 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0961s ][ Queries: 13 (0.0066s) ][ GZIP on ]